#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 versions
version:              3.5.4
visibility:           public
id:                   versions-3.5.4-5Ke47v2EUHdCWDZwle4Jvw
key:                  versions-3.5.4-5Ke47v2EUHdCWDZwle4Jvw
license:              BSD-3-Clause
maintainer:           colin@fosskers.ca
author:               Colin Woodbury
homepage:             https://github.com/fosskers/versions
synopsis:             Types and parsers for software version numbers.
description:
    A library for parsing and comparing software version numbers. We like to give
    version numbers to our software in a myriad of ways. Some ways follow strict
    guidelines for incrementing and comparison. Some follow conventional wisdom
    and are generally self-consistent. Some are just plain asinine. This library
    provides a means of parsing and comparing /any/ style of versioning, be it a
    nice Semantic Version like this:

    > 1.2.3-r1+git123

    ...or a monstrosity like this:

    > 2:10.2+0.0093r3+1-1

    Please switch to <http://semver.org Semantic Versioning> if you aren'\''t
    currently using it. It provides consistency in version incrementing and has
    the best constraints on comparisons.

category:             Data
abi:                  d88745e8c5e0a9195a176d911af034c2
exposed:              True
exposed-modules:      Data.Versions
import-dirs:          /usr/lib/ghc-8.10.3/site-local/versions-3.5.4
library-dirs:         /usr/lib/ghc-8.10.3/site-local/versions-3.5.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/versions-3.5.4
hs-libraries:         HSversions-3.5.4-5Ke47v2EUHdCWDZwle4Jvw
depends:
    base-4.14.1.0 deepseq-1.4.4.0
    hashable-1.3.0.0-5qdfMSsmqkmIwwd20sXj0N
    megaparsec-9.0.1-EdjGU4gLh5fAKt8ICo6g8Q text-1.2.4.1

haddock-interfaces:   /usr/share/doc/haskell-versions/html/versions.haddock
haddock-html:         /usr/share/doc/haskell-versions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

